import org.apache.poi.poifs.filesystem.POIFSFileSystem;
import org.apache.poi.hssf.usermodel.*;
import java.io.*;

/**
 * Copy from infile.xls to outfile.xls
 */
public class Copier
{
   public static void main(String[] args)
      throws IOException
   {
      if (args.length != 2) {
         System.err.println("Usage: " + Copier.class + " infile.xls outfile.xls");
		   System.exit(1);
      }

      String infile = args[0];
      String outfile = args[1];

      POIFSFileSystem pfs = new POIFSFileSystem(new FileInputStream(infile));
      FileOutputStream fos = new FileOutputStream(outfile);
      HSSFWorkbook wb = new HSSFWorkbook(pfs);
      
      // Write the output to a file
      wb.write(fos);
      fos.close();
   }
}
